## Miscellaneous Functions

Miscellaneous Functions — Miscellaneous functions.

## Functions

gboolean | gnome_keyring_is_available ()
void | gnome_keyring_cancel_request ()
void | gnome_keyring_string_list_free ()
#define | GNOME_KEYRING_DEPRECATED_FOR()

## Types and Values

#define | GNOME_KEYRING_DEPRECATED

## Description

All of these APIs are deprecated. Use

libsecret

instead.

## Functions

### gnome_keyring_is_available ()

    gboolean
    gnome_keyring_is_available (void);

`gnome_keyring_is_available` is deprecated and should not be used in newly-written code.

Not needed when using libsecret. The gnome-keyring daemon is automatically started as needed.

Check whether you can communicate with a gnome-keyring-daemon.

#### Returns

`FALSE` if you can't communicate with the daemon (so you can't load and save passwords).

### gnome_keyring_cancel_request ()

    void
    gnome_keyring_cancel_request (gpointer request);

`gnome_keyring_cancel_request` is deprecated and should not be used in newly-written code.

When using libsecret, use GCancellable to cancel asynchronous requests.

Cancel an asynchronous request.

If a callback was registered when making the asynchronous request, that callback function will be called with a result of `GNOME_KEYRING_RESULT_CANCELLED`

#### Parameters

request | The request returned from the asynchronous call function. |

### gnome_keyring_string_list_free ()

    void
    gnome_keyring_string_list_free (GList *strings);

`gnome_keyring_string_list_free` is deprecated and should not be used in newly-written code.

Not needed when using libsecret.

Free a list of string pointers.

#### Parameters

strings | A `GList` of string pointers. | [element-type utf8]

### GNOME_KEYRING_DEPRECATED_FOR()

    #define             GNOME_KEYRING_DEPRECATED_FOR(x)

## Types and Values

### GNOME_KEYRING_DEPRECATED

    #define             GNOME_KEYRING_DEPRECATED